<div class="control-section row">

    <div class="col-md-1 mw-col mt-4">
        <span class="mb-3 cursor-pointer col-xs-4">
            <em class="fa fa-chevron-left" routerLink="/admin/connectors"></em>
        </span>
    </div>

    <div class="col-md-11 mt-4 pl-1">
        <nav class=" navbar justify-content-start pl-0 pt-0">

            <div class="float-left ">
                <p class="mb-0 text-capitalize"><strong>  {{edit_data ? edit_data?.name : i18Labels?.New_connector}} </strong></p>
                <p class='sub-heading text-muted'><small>  {{i18Labels?.description}}  &nbsp; </small></p>
            </div>

            <div class="ml-auto">
                <button class="btn btn-sm mr-1 ml-1 sec-btn" routerLink="../connectors"> {{i18Labels?.cancel}}</button>
                <button class="btn btn-sm mr-1 ml-1 sec-btn" [disabled]="type == '' || !!connectionForm?.invalid || connection_name==null"
                    (click)="add_update_connection('T')">Test Connection</button>
                <button class="btn btn-sm mr-1 ml-1 sec-btn" [disabled]="!testConnectionSuccess || type == '' || !!connectionForm?.invalid || connection_name==null"
                    (click)="add_update_connection(edit_data? 'E' : 'A')">{{i18Labels?.save}}</button>

            </div>
        </nav>

        <div class="ml-3">
            <p class="mb-0 text-capitalize"><strong>  {{i18Labels?.Select_connection_type}}</strong></p>
            <p class='sub-heading text-muted'><small>  {{i18Labels?.Description_connection_type}} </small></p>
            <div class="row sample mt-5">
                <ejs-tab id="element">

                    <e-tabitems>

                        <e-tabitem *ngIf="(type=='s3' && connection_id) || !connection_id">
                            <ng-template #headerText>
                                <div class="container1 text-center">
                                    <img id="s3" src="assets/images/admin_icons/S3.svg" class="image  cursor-pointer" alt="Avatar"
                                        value="s3" (click)="connection('#s3', 's3')" />
                                    <br>
                                    <label>{{i18Labels?.Amazon_S3}}</label>
                                </div>
                            </ng-template>
                            <ng-template #content>
                                <div *ngIf="type=='s3'">
                                    <form #connectionForm="ngForm" autocomplete="off" >
                                        <div id="s3" class="form-group mt-5 ml-3 mb-0">
                                            <h6 class="mb-0 text-capitalize"> {{i18Labels?.Connector_setting}}</h6>
                                            <p class='sub-heading  text-muted'><small>{{i18Labels?.Selected_S3}} </small></p>

                                            <div class="row">
                                                <div class="col-6 mt-2" [ngClass]="{'div-disabled' : edit_data}">
                                                    <span class="mb-0 ">{{i18Labels?.Connection_Name}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="connection_name_s3" #nameIdval='ngModel'
                                                        name="connection_name" required [(ngModel)]="connection_name"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(nameIdval.invalid && (nameIdval.dirty || nameIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="nameIdval.errors.required">
                                                            * {{i18Labels?.Connection_name_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Description}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="description_s3" #descriptionIdval='ngModel'
                                                        name="description" required [(ngModel)]="description"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(descriptionIdval.invalid && (descriptionIdval.dirty || descriptionIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="descriptionIdval.errors.required">
                                                            * {{i18Labels?.Description_required}}
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="ml-3 form-group">
                                            <div class="row">

                                                <!--AWS Access Key and Secret Key disabled as per request. Can be enabled in future-->
                                                <!-- <div class="mt-2 col-3">
                                                    <span class="mb-0 ">{{i18Labels?.AWS_Access_Key}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="access_key" #accesskeyIdval='ngModel'
                                                        [disabled]="access  " (blur)="enableField('ak')"
                                                        (focus)="disableField('ak')" name="access_key"
                                                        [required]="role_name==null" [(ngModel)]="access_key"
                                                        class="col-11 e-input">
                                                    <br>
                                                    <small>{{i18Labels?.credentials_encrypted}}</small>

                                                    <div
                                                        *ngIf="(accesskeyIdval.invalid && (accesskeyIdval.dirty || accesskeyIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="accesskeyIdval.errors.required">
                                                            * {{i18Labels?.Access_key_required}}
                                                        </div>

                                                    </div>

                                                    <br>

                                                    <span class="mb-0 ">{{i18Labels?.AWS_Access_Secret}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="password" id="secret_key" autocomplete="new-password"
                                                        [disabled]="access " (focus)="disableField('as')"
                                                        (blur)="enableField('as')" #accesssecretIdval='ngModel'
                                                        name="secret_key" [required]="role_name==null"
                                                        [(ngModel)]="secret_key" class="col-11 e-input"
                                                        autocomplete="off" readonly
                                                        onfocus="this.removeAttribute('readonly');">

                                                    <div
                                                        *ngIf="(accesssecretIdval.invalid && (accesssecretIdval.dirty || accesssecretIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="accesssecretIdval.errors.required">
                                                            * {{i18Labels?.Access_secret_required}}
                                                        </div>

                                                    </div>

                                                </div>


                                                <div class="mt-4 col-3">
                                                    <p class="text-center"><label>{{i18Labels?.or}}</label></p>
                                                </div> -->

                                                <div class="mt-2 col-6">
                                                    <span class="mb-0 ">{{i18Labels?.Role_Name}}</span><br>
                                                    <input type="text" id="role_name" #rolenameIdval='ngModel'
                                                        (focus)="disableField('r')" (blur)="enableField('r')"
                                                        [disabled]="roleDisable " name="role_name"
                                                        [(ngModel)]="role_name" class="col-5 e-input"><br>

                                                </div>
                                            </div>


                                        </div>

                                    </form>
                                </div>
                            </ng-template>
                        </e-tabitem>

                        <e-tabitem *ngIf="(type=='sf' && connection_id) || !connection_id">
                            <ng-template #headerText>
                                <div class="container1 text-center">
                                    <img id="snowflake" src="assets/images/admin_icons/Snowflake.svg" class="image  cursor-pointer"
                                        alt="Avatar" value="snowflake" (click)="connection('#snowflake', 'sf')" />

                                    <br>
                                    <label>{{i18Labels?.Snowflake}}</label>
                                </div>
                            </ng-template>
                            <ng-template #content>
                                <div *ngIf="type=='sf'">
                                    <form #connectionForm="ngForm" autocomplete="off">

                                        <div id="sf" class="form-group mt-5 ml-3 mb-0">
                                            <h6 class="mb-0 text-capitalize"> {{i18Labels?.Connector_setting}}</h6>
                                            <p class='sub-heading text-muted'><small>{{i18Labels?.Selected_Snowflake}} </small></p>

                                            <div class="row">
                                                <div class="col-6 mt-2" [ngClass]="{'div-disabled' : edit_data}">
                                                    <span class="mb-0 ">{{i18Labels?.Connection_Name}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="connection_name_sf" #nameIdval='ngModel'
                                                        name="connection_name" required [(ngModel)]="connection_name"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(nameIdval.invalid && (nameIdval.dirty || nameIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="nameIdval.errors.required">
                                                            * {{i18Labels?.Connection_name_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Description}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="description_s3" #descriptionIdval='ngModel'
                                                        name="description" required [(ngModel)]="description"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(descriptionIdval.invalid && (descriptionIdval.dirty || descriptionIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="descriptionIdval.errors.required">
                                                            * {{i18Labels?.Description_required}}
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="ml-3 form-group ">
                                            <div class="row">
                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.User_Name}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="username" #usernameIdval='ngModel'
                                                        name="username" required [(ngModel)]="username" autocomplete="off"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(usernameIdval.invalid && (usernameIdval.dirty || usernameIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="usernameIdval.errors.required">
                                                            * {{i18Labels?.User_name_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Password}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="password" autocomplete="new-password"
                                                        #passwordIdval='ngModel' name="password" required
                                                        [(ngModel)]="password" class="col-5 e-input" style="-webkit-text-security: disc;" 
                                                        readonly onfocus="this.removeAttribute('readonly');" (change)="encrypt()">
                                                    <div
                                                        *ngIf="(passwordIdval.invalid && (passwordIdval.dirty || passwordIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="passwordIdval.errors.required">
                                                            * {{i18Labels?.Password_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Account}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="account" #accountIdval='ngModel'
                                                        name="account" required [(ngModel)]="account"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(accountIdval.invalid && (accountIdval.dirty || accountIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="accountIdval.errors.required">
                                                            * {{i18Labels?.Account_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Database}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="database" #databaseIdval='ngModel'
                                                        name="database" required [(ngModel)]="database"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(databaseIdval.invalid && (databaseIdval.dirty || databaseIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="databaseIdval.errors.required">
                                                            * {{i18Labels?.Database_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Warehouse}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="warehouse" #warehouseval='ngModel'
                                                        name="warehouse" required [(ngModel)]="warehouse"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(warehouseval.invalid && (warehouseval.dirty || warehouseval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="warehouseval.errors.required">
                                                            * {{i18Labels?.Warehouse_required}}
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>

                                        </div>


                                    </form>
                                </div>
                            </ng-template>
                        </e-tabitem>

                        <e-tabitem *ngIf="(type=='sftp' && connection_id) || !connection_id">
                            <ng-template #headerText>
                                <div class="container1 text-center">
                                    <img id="sftp" src="assets/images/sftp.svg" class="image  cursor-pointer"
                                        alt="Avatar" value="sftp" (click)="connection('#sftp', 'sftp')" />

                                    <br>
                                    <label>{{i18Labels?.Sftp}}</label>
                                </div>
                            </ng-template>
                            <ng-template #content>
                                <div *ngIf="type=='sftp'">
                                    <form #connectionForm="ngForm" autocomplete="off">

                                        <div id="sftp" class="form-group mt-5 ml-3 mb-0">
                                            <h6 class="mb-0 text-capitalize">  {{i18Labels?.Connector_setting}}</h6>
                                            <p class='sub-heading text-muted'><small>{{i18Labels?.Selected_Sftp}} </small></p>

                                            <div class="row">
                                                <div class="col-6 mt-2" [ngClass]="{'div-disabled' : edit_data}">
                                                    <span class="mb-0 ">{{i18Labels?.Connection_Name}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="connection_name_sftp" #nameIdval='ngModel'
                                                        name="connection_name" required [(ngModel)]="connection_name"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(nameIdval.invalid && (nameIdval.dirty || nameIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="nameIdval.errors.required">
                                                            * {{i18Labels?.Connection_name_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Description}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="description_s3" #descriptionIdval='ngModel'
                                                        name="description" required [(ngModel)]="description"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(descriptionIdval.invalid && (descriptionIdval.dirty || descriptionIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="descriptionIdval.errors.required">
                                                            * {{i18Labels?.Description_required}}
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="ml-3 form-group ">
                                            <div class="row">

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Username}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="usernameSftp" #usernameSftpIdval='ngModel'
                                                        name="usernameSftp" required [(ngModel)]="usernameSftp" autocomplete="off"
                                                        class="col-5 e-input">
                                                    <div
                                                        *ngIf="(usernameSftpIdval.invalid && (usernameSftpIdval.dirty || usernameSftpIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="usernameSftpIdval.errors.required">
                                                            * {{i18Labels?.Username_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Password}}</span><span
                                                        class="required">*</span><br>
                                                    <input type="text" id="password" autocomplete="new-password"
                                                        #passwordIdval='ngModel' name="password" required
                                                        [(ngModel)]="password" class="col-5 e-input"  style="-webkit-text-security: disc;"
                                                        readonly onfocus="this.removeAttribute('readonly');" (change)="encrypt()">
    
                                                    <div
                                                        *ngIf="(passwordIdval.invalid && (passwordIdval.dirty || passwordIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="passwordIdval.errors.required">
                                                            * {{i18Labels?.Password_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Host}}</span><span class="required">*</span><br>
                                                    <input type="text" id="host" #hostIdval='ngModel' name="host"
                                                        required [(ngModel)]="host" class="col-5 e-input">
                                                    <div
                                                        *ngIf="(hostIdval.invalid && (hostIdval.dirty || hostIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="hostIdval.errors.required">
                                                            * {{i18Labels?.Host_required}}
                                                        </div>

                                                    </div>
                                                </div>

                                                <div class="col-6 mt-2">
                                                    <span class="mb-0 ">{{i18Labels?.Port}}</span><span class="required">*</span><br>
                                                    <input type="number" id="port" #portIdval='ngModel' name="port"
                                                        required [(ngModel)]="port" class="col-5 e-input" min=0 oninput="validity.valid||(value='');" >
                                                    <div
                                                        *ngIf="(portIdval.invalid && (portIdval.dirty || portIdval.touched))">
                                                        <div class="e-error text-danger"
                                                            *ngIf="portIdval.errors.required">
                                                            * {{i18Labels?.Port_required}}
                                                        </div>



                                                    </div>
                                                </div>


                                            </div>

                                        </div>


                                    </form>
                                </div>
                            </ng-template>
                        </e-tabitem>

                    </e-tabitems>

                </ejs-tab>
            </div>
        </div>


    </div>
</div>